# SharedMemory
通过IPC实现Cluster共享内存

[![NPM](https://nodei.co/npm/sharedmemory.png)](https://nodei.co/npm/sharedmemory/)

## Super simple to use

```javascript
var cluster = require('cluster')
var initSharedMemory = require('./sharedmemory').init;

// on the master process, the controller control shared memory
// on the worker process, the controller bla bla bla...
var sharedMemoryController = initSharedMemory();

if (cluster.isMaster) {

    // fork two workers
    cluster.fork();
    cluster.fork();

} else {

    if (cluster.worker.id == 1) {

        // write localVar to the 1st worker process's memory
        var localVar = 0;   

        // write test to the shared memory
        sharedMemoryController.set('test', 'this is a test');  

    }

    if (cluster.worker.id == 2) {
        
        // localVar in the 1st worker porcess's memory, the 2nd worker process cannot read it
        console.log(localVar); // => undefined

        // read test from the shared memory
        sharedMemoryController.get('test', function(value) {
            console.log(value); // => this is a test;
        });
    }
    
}

```

