# SharedMemory -- Cluster Shared Memory

[![NPM](https://nodei.co/npm/sharedmemory.png)](https://nodei.co/npm/sharedmemory/)

## 用例

```javascript

var cluster = require('cluster')
var initSharedMemory = require('./sharedmemory').init;

// 创建共享内存的控制器
// 在master进程中，控制器负责维护共享内存
// 在worker进程中，控制器负责和master的控制器通信，实现读写功能
var sharedMemoryController = initSharedMemory();

if (cluster.isMaster) {

    // fork两个worker
    cluster.fork();
    cluster.fork();

} else {

    if (cluster.worker.id == 1) {

        // 写入第一个worker进程的内存
        var localVar = 0;   

        // 写入共享内存
        sharedMemoryController.set('test', 'this is a test');  

    }

    if (cluster.worker.id == 2) {
        
        // localVar保存在第一个worker进程的内存中，第二个worker进程无法读取
        console.log(localVar); // => undefined

        // 从共享内存中读取
        sharedMemoryController.get('test', function(value) {
            console.log(value); // => this is a test;
        });
    }
    
}

```

